﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SimpleWars
{
    class nodes
    {
        public double ucb;//双精度浮点型数据 表达节点的UCB值
        public int sim_Num;//整形数据 表达节点进行的模拟次数
        public double win_Num;//结点胜利数
        public int color;//整形数据 用于表示节点可行动玩家的颜色
        public Map map;//Map型数据 节点的地图属性
        public Action actions;//Action型数据 节点的动作属性
        public List<nodes> child;//子节点的数据类型
        public double win_ratio;
        public int opUnit_type;
        public int targetUnit_type;

        public nodes()//创造节点的方法
        {
            ucb = 0;//初始化UCB值为零
            sim_Num = 0;//初始化节点模拟数为零
            win_Num = 0;//初始化结点胜利数为零
            map = new Map();//创造出地图
            actions = new Action();//创造出动作
            child = new List<nodes>();//创造出子节点序列
            win_ratio = 0;
            opUnit_type = -1;
            targetUnit_type = -1;
        }
    }
}
